Bug 2129343 - systemd returns an empty string for the chassis type
Summary: systemd returns an empty string for the chassis type
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 37
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: RejectedBlocker AcceptedFreezeException
: 2127183 (view as bug list)
Depends On:
Blocks: F37FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2022-09-23 12:27 UTC by Allan Day
Modified: 2022-10-03 00:20 UTC (History)
19 users (show)

Fixed In Version: systemd-251.5-607.fc38 systemd-251.5-607.fc37
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-10-03 00:20:45 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Allan Day 2022-09-23 12:27:11 UTC
systemd version 251.4 returns an empty string for the chassis type. There is an upstream issue for this [1], which has been fixed [2]. However, that fix is not available in F37.

This is an issue because the device security settings panel in gnome-control-center is hidden if there isn't a valid chassis type. We need the upstream fix in F37 to have functioning device security settings.

A PR has been created [3] for the backport, to get things rolling.

[1] https://github.com/systemd/systemd/issues/24384
[2] https://github.com/systemd/systemd/pull/24385/commits/471fdebfdea843648acb5abeacf5ae559c3ad77a
[3] https://src.fedoraproject.org/rpms/systemd/pull-request/92

Comment 1 Kamil Páral 2022-09-23 12:41:44 UTC
Allan, can you please share a screenshot of the security settings panel? I tried to find it, but I don't see it even on F36 Workstation Live with systemd-250.3, so I have no idea what it contains and whether it's important enough to be considered a blocker. Thanks.

Comment 2 Allan Day 2022-09-23 12:49:44 UTC
The device security settings are new for GNOME 43 and Fedora 37. Due to this issue, and the fact that the settings don't show in a VM, I'm not able to grab a screenshot... :/

The panel is part of a program of work around hardware security, and more work is planned for F38. Having the panel in F37 is somewhat important for that, in order to get feedback from users.

Comment 3 Kamil Páral 2022-09-23 13:53:44 UTC
Can you please describe what is included on that panel? Do you believe we should block Fedora release if it's not present, or is it enough to fix it post-release (which will then allow user feedback, a bit later)?

Comment 4 Allan Day 2022-09-23 14:30:07 UTC
> Can you please describe what is included on that panel?

Ha, sure. It shows 3 things:

 1. The hardware security level, along with the details of the various security tests in fwupd
 2. Secure Boot status
 3. A list of security alerts, if any are present

> Do you believe we should block Fedora release if it's not present, or is it enough to fix it post-release (which will then allow user feedback, a bit later)?

If we had to, I might settle for fixing it post-release. However, there would be some downsides to that. In particular, we wouldn't be able to talk about the new settings npanel in our release marketing.

Comment 5 Yu Watanabe 2022-09-25 01:04:51 UTC
In upstream, already fixed by https://github.com/systemd/systemd/commit/471fdebfdea843648acb5abeacf5ae559c3ad77a, but not backported yet to stable repository.

Comment 6 Adam Williamson 2022-09-26 15:09:20 UTC
-5/+6 in https://pagure.io/fedora-qa/blocker-review/issue/919 , marking rejected blocker, accepted FE.

Comment 7 Fedora Update System 2022-10-01 17:51:23 UTC
FEDORA-2022-a3bf337a61 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2022-a3bf337a61

Comment 8 Fedora Update System 2022-10-01 17:53:31 UTC
FEDORA-2022-a3bf337a61 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Adam Williamson 2022-10-01 18:03:49 UTC
Re-opening as this is filed against 37. Zbigniew, can we please get this backported for F37?

Comment 10 Fedora Update System 2022-10-01 18:37:31 UTC
FEDORA-2022-7cf1869073 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-7cf1869073

Comment 11 Zbigniew Jędrzejewski-Szmek 2022-10-01 18:41:49 UTC
*** Bug 2127183 has been marked as a duplicate of this bug. ***

Comment 12 Zbigniew Jędrzejewski-Szmek 2022-10-01 18:57:12 UTC
Yeah, that's what I'm doing. Bodhi closes bugs automatically when the update for F38 is created.
I wish there was a way to instruct bodhi not to do that in some cases.

Comment 13 Fedora Update System 2022-10-02 01:23:07 UTC
FEDORA-2022-7cf1869073 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-7cf1869073`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-7cf1869073

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2022-10-03 00:20:45 UTC
FEDORA-2022-7cf1869073 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.